# Notas de configuracion
 [_Configuracion base realizada por: luis@gdalab.com_]
 [_Septiembre 2022_]

Se debe crear las siguientes tablas:

- islim_%table%_logs
> Esta tabla almacenara los log que se presenten en los curls

**Campos**
```
    'id',                   // id autoincrementado. int(11)
    'data_send',            // Data enviada al curl. longtext
    'data_return',          // Data recibida del curl. longtext
    'request',              // Request externo. varchar(255)
    'request_intermedio',   // Request intermedio. varchar(255)
    'time',                 // Seg en dar respuesta. Double
    'date_reg',             // Fecha que se registro. DateTime
    'ip',                   // ip de la peticion. varchar
    'token',                // token usado. varchar(255)
    'header',               // header enviado. longtext
    'type'                  // enum('OK','ERROR')
```

Tablas ya disponibles:

- islim_api_all_token_server
> Almacena los token disponibles para el api

**Campos**
```
    'token',        // Cadena con el token. Varchar(255)
    'type',         // Produccion o Desarrollo. Enum(P,D)
    'status',       // Activo, eliminado o Inactivo. Enum(A,I,T)
    'date_create'   // Fecha que se agrego el token. DateTime
    'api'           // Se indica a que API pertenece el token (telmovPay, 99v3, altan) 
```

- islim_api_all_ip_server
>Registros de las ip disponibles que pueden hacer uso del api en conjunto con el token asignado

**Campos**
```
     'id',           // id autoincrementado. int(11)
    'token',        // Cadena con el token. Varchar(255)
    'ip',           // IP del origen de conexion. Varchar(100)
    'status',       // Activo o Inactivo. Enum(A,I)
    'date_reg',     // Fecha que se agrego la ip. DateTime
    'propietario'   // Propietario del registro. varchar(100)
    'api'           // Se indica a que API pertenece la configuracion ip (telmovPay, 99v3, altan) 
```

- islim_api_all_token_life
>Registro de los token recibidos para poderse conectar con el api final

**Campos**
```
    'id',           // id autoincrementado int(11)
    'token',        // Cadena con el token. Varchar(255)
    'date_star',    // Inicio de vida. Datetime
    'date_end',     // Fin de vida. DateTime
    'status',       // Activo, Eliminado. Enum(A,T)
    'tokenType',    // Tipo de token. Bearer u otros
    'expire_in'     // tiempo en seg de vida del token
```


## Features

- Se configuro las varibles de lectura y escritura de BD
- Se configuro que los logs se registren en los logs internos y en slack
- Se configuro que las rutas de web.php poseean los middleware de IP y de Token
- Se realiza el proceso de almacenado en BD de los logs que se crean en cada CURL
- Se realiza el envio de cada evento importante al Slack
- Se registra, crea o elimina los token para ser usado en el api final


## Por instalar
- No se cuenta con Boostrap


## Paquetes presentes
| App | Version |
| ------ | ------ |
| Laravel | 9.28.0 |
| Octane | 1.3.0 |