<?php

namespace App\Http\Controllers;

//Otras clases
use Illuminate\Support\Facades\Mail;
use Illuminate\Http\Request;
use App\Utilities\CustomLogs;
use App\Mail\BuyOKV2;
use App\Mail\BuyOKSend;
use App\Mail\{Mail_tycfQr, Mail_formCircle, mailInstall, mailContract};
use Log;
use DB;

//Modelos
use App\Models\LogApiV2;
use App\Utilities\MercadoPagoCus;

class TestController extends Controller
{
    /*
        Solo para probar los datos enviados al ipn
    */
    public function testIPN(Request $request)
    {
        //Iniciando log
        $log = LogApiV2::initLog($request);

        //Finalizando log
        LogApiV2::finishLog($log);

        return response()->json(['success' => true], 200);
    }

    /*
        Solo para probar los email
    */
    public function testMail(Request $request)
    {
        //Iniciando log
        $log = LogApiV2::initLog($request);

        $data = [
            'amount' => '699',
            'concept' => 'Alcatel MW45',
            'urlFolow' => 'https://tracking.99minutos.com/search/1298262826',
            'urlDetail' => env('URL_DETAIL') . '3521',
            'folio' => '1298262826',
            'urlBuyStatus' => env('URL_SITE') . 'mi-netwey/estado-de-compra',
            'date' => date('Y-m-d H:i:s'),
        ];

        try {
            Mail::to(['freddy.colmenares@dmdgroup.net', 'fdaniel.colmenares@gmail.com'])
                ->send(new BuyOKSend($data));
        } catch (\Exception $e) {
        }

        CustomLogs::registerLog('notice', 'Correo enviado', 'F', $request);

        //CustomLogs::sendErrorDelMail('99min', '98');

        //Finalizando log
        LogApiV2::finishLog($log);

        return response()->json(['success' => true], 200);
    }



    /*
        Solo para hacer pruebas
    */
    public function testTest(Request $request)
    {
        Log::alert('Prueba api-seller-dev');
        return response()->json(['success' => true, 'amb' => env('APP_ENV')], 200);
    }

    public function debug_test(Request $request)
    {
        $test = MercadoPagoCus::getPaymentCashMethods();

        dd($test);
    }

    public function testFibra(Request $request)
    {   
        Log::info("error test", ['data' => $request->all()]);
        $client = DB::connection('mysql::read')
        ->table('islim_clients')
        ->select('name')
        ->where('dni', "5b86ca171b58d")
        ->first();
        dd($client);
        try {
            $data_contract = [
                'url_contract' => "goog.com",
                'full_date' => "10-10-2024". ' / ' . $request->hour,
                'pack_title' => "pack_title",
                'pack_price' => "pack_price",
                'phone' => "49849849",
                'email' => "joanmilla21@gmail.com"
            ];
            Mail::to("joanmilla21@gmail.com")->send(new mailContract($data_contract));
        } catch (\Throwable $th) {
            dd($th);
        }
    }
}
