<?php

namespace App\Http\Middleware;

use App\Models\Model_islim_table_logs;
use App\Models\TokenApiSeller;
use App\Utilities\CustomLogs;
use Closure;
use Illuminate\Http\Request;

class BearerAuth
{
  /**
   * Handle an incoming request.
   *
   * @param  \Illuminate\Http\Request  $request
   * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
   * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
   */
  public function handle(Request $request, Closure $next)
  {
    if (!empty($request->bearerToken())) {
      $token = TokenApiSeller::getInfToken($request->bearerToken());

      if (!empty($token))
        return $next($request);
    }

    if (env('SAVE_LOG', true)) {
      CustomLogs::registerLog('alert', 'No autorizado: ', 'E', $request);
    }

    return response()->json([
      'success' => false,
      'data' => [
        'cod_err' => 'ERR_AUTH',
        'msg'     => 'No autorizado.'
      ]
    ], 401);
  }
}
