<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Articles extends Model
{
    use HasFactory;

    protected $table = 'islim_inv_articles';

    protected $fillable = [
        'provider_dni',
        'category_id',
        'title',
        'description',
        'type_barcode',
        'date_reg',
        'sku',
        'status',
    ];

    public $timestamps = false;

    /**
     * Metodo para seleccionar conexion a la bd, escritura-lectura o solo escritura
     * @param String $typeCon
     *
     * @return App\models\Articles
     */
    public static function getConnect($typeCon = false)
    {
        if ($typeCon) {
            $obj = new Articles;
            $obj->setConnection($typeCon == 'W' ? 'mysql::write' : 'mysql::read');

            return $obj;
        }
        return null;
    }

    public static function getArticle($id_artic)
    {
        return self::getConnect('R')
            ->select('sku', 'title')
            ->where('id', $id_artic)
            ->first();
    }
}
