<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Utilities\Common;

class Broadband extends Model
{
    use HasFactory;

    protected $table = 'Islim_broadbands';

    protected $fillable = [
        'id', 'broadband', 'num_broad', 'status',
    ];

    public $timestamps = false;

    /**
     * Metodo para seleccionar conexion a la bd, escritura-lectura o solo escritura
     * @param String $typeCon
     *
     * @return App\models\Broadband
     */
    public static function getConnect($typeCon = false)
    {
        if ($typeCon) {
            $obj = new Broadband;
            $obj->setConnection($typeCon == 'W' ? 'mysql::write' : 'mysql::read');

            return $obj;
        }
        return null;
    }

    /*
        Retorna los boradbans con velocidad igual o menor a la indicada por parametro

        @param App\Utilities\Common::getLastNumber $broad
        @return Mix
    */
    public static function getBroadbands($broad = false)
    {
        if ($broad) {
            $num = Common::getLastNumber($broad);

            return Broadband::getConnect('R')
                ->where([
                    ['num_broad', '<=', $num],
                    ['status', 'A'],
                ])
                ->get();
        }

        return [];
    }
}
