<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DeferredPayment extends Model
{
    use HasFactory;

    protected $table = 'islim_deferred_payment';

    protected $fillable = [
        'folio',
        'transaction',
        'type_payment',
        'amount',
        'order_id',
        'date_reg',
        'date_update',
        'status',
    ];

    public $timestamps = false;

    /**
     * Metodo para seleccionar conexion a la bd, escritura-lectura o solo escritura
     * @param String $typeCon
     *
     * @return App\models\DeferredPayment
     */
    public static function getConnect($typeCon = false)
    {
        if ($typeCon) {
            $obj = new DeferredPayment;
            $obj->setConnection($typeCon == 'W' ? 'mysql::write' : 'mysql::read');

            return $obj;
        }
        return null;
    }

    public static function getPayment($folio)
    {
        return self::getConnect('W')
            ->select(
                'id',
                'transaction',
                'order_id',
                'status',
                'date_update',
                'date_reg'
            )
            ->where('folio', $folio)
            ->first();
    }
}
