<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HistoryMailFiber extends Model
{
  use HasFactory;

  protected $table = 'islim_history_mail_fiber';

  protected $fillable = [
    'id',
    'dni_client',
    'email_client',
    'process',
    'data_send',
    'email_netwey',
    'date_reg',
    'installation_id',
    'status'];

  public $timestamps = false;
  protected $casts = [
    'data_send' => 'array',
  ];
  /**
   * Metodo para seleccionar conexion a la bd, escritura-lectura o solo escritura
   * @param String $typeCon
   *
   * @return App\HistoryMailFiber
   */
  public static function getConnect($typeCon = false)
  {
    if ($typeCon) {
      $obj = new self;
      $obj->setConnection($typeCon == 'W' ? 'mysql::write' : 'mysql::read');

      return $obj;
    }
    return null;
  }

  public static function newHistoryMailFiber($data)
  {
    $response = ['success' => false, 'title' => "No se pudo registrar el historico de email", 'msg' => "Faltan datos", 'icon' => "error", 'code' => 'ERR_DAT'];

    if (!empty($data['dni_client']) &&
      !empty($data['email_client']) &&
      !empty($data['process']) &&
      !empty($data['data_send'])) {
      try {

        $data['email_netwey'] = session('user');
        $data['date_reg'] = date('Y-m-d H:i:s');

        $register = self::getConnect('W')
          ->insertGetId($data);

        $response['success'] = true;
        $response['title'] = "Registro insertado exitosamente";
        $response['msg'] = "Registrado nuevo historico de envio de email al prospecto";
        $response['id'] = $register;
        $response['icon'] = "success";
        $response['code'] = "OK";
      } catch (Exception $e) {
        $txmsg = "No se pudo registrar nuevo historico de envio de email al prospecto: " . $data['dni_client'] . " - (MHMF68) " . (String) json_encode($e->getMessage());
        Log::error($txmsg);
        $response = ['success' => false, 'title' => "No se pudo procesar la solicitud de registro", 'msg' => $txmsg, 'icon' => "error", 'code' => 'ERR_DAT'];
      }
    }
    return $response;
  }
}
