<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MercadoPago extends Model
{
    use HasFactory;

    protected $table = 'islim_mercado_pago';

    protected $fillable = [
        'status',
        'unique_transaction',
        'msisdn',
        'service_id',
        'order_id',
        'amount',
        'mp_id',
        'token_card',
        'last_four_digits',
        'payment_method',
        'date_approved',
        'status_detail',
        'date_reg',
        'status_recharge',
        'response',
        'type',
    ];

    public $timestamps = false;

    /**
     * Metodo para seleccionar conexion a la bd, escritura-lectura o solo escritura
     * @param String $typeCon
     *
     * @return App\models\MercadoPago
     */
    public static function getConnect($typeCon = false)
    {
        if ($typeCon) {
            $obj = new MercadoPago;
            $obj->setConnection($typeCon == 'W' ? 'mysql::write' : 'mysql::read');

            return $obj;
        }
        return null;
    }

    public static function isUsed($id)
    {
        return self::getConnect('R')
            ->select('id')
            ->where('mp_id', $id)
            ->first();
    }
}
