<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Ordens extends Model
{
    use HasFactory;

    protected $table = 'islim_ordens';

    protected $fillable = [
        'amount',
        'transaction',
        'client_id',
        'monto_envio',
        'sub_monto',
        'id_brightstar',
        'ordNbr',
        'date',
        'status',
        'error_verify',
        'discount',
        'cod_prom',
        'seller_email',
        'code_ref_status'
    ];

    public $timestamps = false;

    /**
     * Metodo para seleccionar conexion a la bd, escritura-lectura o solo escritura
     * @param String $typeCon
     *
     * @return App\models\Ordens
     */
    public static function getConnect($typeCon = false)
    {
        if ($typeCon) {
            $obj = new Ordens;
            $obj->setConnection($typeCon == 'W' ? 'mysql::write' : 'mysql::read');

            return $obj;
        }
        return null;
    }

    //Recibe array que devuelve getDataPayment
    public static function createOrden($data = false)
    {
        if ($data) {
            try {
                $orden = new Ordens;
                $orden->amount = $data['totalAmount'];
                $orden->transaction = 'MP';
                $orden->client_id = $data['dni'];
                $orden->monto_envio = $data['amount_delivery'];
                $orden->sub_monto = $data['pricedetail'];
                $orden->seller_email = $data['seller_email'];
                $orden->date = date('Y-m-d H:i:s');
                $orden->status = 'A';

                $orden->discount = !empty($data['discount']) ? $data['discount'] : null;
                $orden->cod_prom = !empty($data['cod_prom']) ? $data['cod_prom'] : null;
                $orden->ordNbr = !empty($data['ordNbr']) ? $data['ordNbr'] : null;
                $orden->error_verify = !empty($data['error_verify']) ? $data['error_verify'] : 'NOT_VERIFY';

                $orden->save();

                return $orden;
            } catch (Exception $e) {
                return false;
            }
        }
        return false;
    }
}
