<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PC99 extends Model
{
    use HasFactory;

    protected $table = 'islim_pcs_99';

    protected $fillable = [
        'postal_code',
        'colony',
        'municipality',
        'city',
        'state',
        'warehouse',
        'date_reg',
        'update_date',
        'status'
    ];

    public $timestamps = false;

    /**
     * Metodo para seleccionar conexion a la bd, escritura-lectura o solo escritura
     * @param String $typeCon
     *
     * @return App\models\PC99
     */
    public static function getConnect($typeCon = false)
    {
        if ($typeCon) {
            $obj = new PC99;
            $obj->setConnection($typeCon == 'W' ? 'mysql::write' : 'mysql::read');

            return $obj;
        }
        return null;
    }

    public static function getAddressWh($cp = false)
    {
        if ($cp) {
            return self::getConnect('R')
                ->select(
                    'islim_warehouses.route',
                    'islim_warehouses.street_number',
                    'islim_warehouses.neighborhood',
                    'islim_warehouses.locality',
                    'islim_warehouses.subLocality',
                    'islim_warehouses.state',
                    'islim_warehouses.cp'
                )
                ->join(
                    'islim_warehouses',
                    'islim_warehouses.id',
                    'islim_pcs_99.warehouse'
                )
                ->where([
                    ['islim_pcs_99.status', 'A'],
                    ['islim_pcs_99.postal_code', $cp],
                ])
                ->first();
        }
        return null;
    }
}
