<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SMSNotification extends Model
{
  protected $table = 'islim_sms_notifications';

  protected $fillable = [
    'bash',
    'msisdn',
    'phone_sms',
    'sms_type',
    'concentrator_id',
    'service',
    'sms_attribute',
    'sms',
    'response',
    'status',
    'date_reg',
    'date_process'
  ];

  protected $primaryKey = 'id';

  public $timestamps = false;

  /**
   * Metodo para seleccionar conexion a la bd, escritura-lectura o solo escritura
   * @param String $typeCon
   *
   * @return App\SMSNotification
   **/
  public static function getConnect($typeCon = false)
  {
    if ($typeCon) {
      $obj = new self;
      $obj->setConnection($typeCon == 'W' ? 'mysql::write' : 'mysql::read');

      return $obj;
    }
    return null;
  }

  public static function saveSms($data = []){
    return self::getConnect('W')
                ->insert([
                  'msisdn' => $data['msisdn'],
                  'sms_type' => 'O',
                  'concentrator_id' => 1,
                  'sms_attribute' => 'SMSFINSERVICEFIBRA',
                  'date_reg' => date('Y-m-d H:i:s')
                ]);
  }

  public static function Send_sms($DN_netwey, $phone_client, $sms_type, $concentrator_id, $service, $sms_attribute, $sms = '')
  {
    return self::getConnect('W')
      ->insert([
        'msisdn' => $DN_netwey,
        'phone_sms' => $phone_client,
        'sms_type' => $sms_type,
        'concentrator_id' => $concentrator_id,
        'service' => $service,
        'sms_attribute' => $sms_attribute,
        'sms' => $sms,
        'date_reg' => date('Y-m-d H:i:s')]);
  }

  public static function Send_sms_campaing($DN_netwey, $phone_client, $sms_type, $concentrator_id, $service, $sms_attribute, $sms = '')
  {
    return self::getConnect('W')
      ->insertGetId([
        'msisdn' => $DN_netwey,
        'phone_sms' => $phone_client,
        'sms_type' => $sms_type,
        'concentrator_id' => $concentrator_id,
        'service' => $service,
        'sms_attribute' => $sms_attribute,
        'sms' => $sms,
        'date_reg' => date('Y-m-d H:i:s')]);
  }
}
