<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Estafeta;

class Transaction extends Model
{
    use HasFactory;

    protected $table = 'islim_transaction';

    protected $fillable = [
        'name_client',
        'address',
        'name_article',
        'quantity',
        'status',
        'codigozip',
        'colonia',
        'id_ordens',
        'city',
        'state',
        'state_estafeta',
        'id_estafeta'
    ];

    public $timestamps = false;

    //Recibe array que devuelve $data = getDataPayment
    public static function createRegister($data, $orden)
    {
        $estafeta = Estafeta::where('code', $data['cod_estafeta'])->first();

        if (!empty($estafeta)) {
            $transaction = new Transaction;
            $transaction->name_client = $data['name'];
            $transaction->address = $estafeta->street . ' ' . $estafeta->number;
            $transaction->name_article = $data['title'];
            $transaction->quantity = 1; //Cambiar cuando sea mas de uno
            $transaction->status = 'P';
            $transaction->codigozip = $estafeta->cp;
            $transaction->colonia = $estafeta->colony;
            $transaction->id_ordens = $orden->id;
            $transaction->city = $estafeta->municipe;
            $transaction->state = $estafeta->state;
            $transaction->state_estafeta = $estafeta->key_state;
            $transaction->id_estafeta = $estafeta->code;
            $transaction->save();

            return $transaction;
        } else {
            $html = '<h1> Error creando datos de envío (API-SELLER)</h1>';
            $html .= '<p> Erro creando datos de envío para el carrito id: ' . $data['transaction'] . ' la estafeta id: ' . $data['cod_estafeta'] . ' No existe.';

            /*Mail::send([], [], function ($message) use ($html){
                $message->to(env('ERROR_ADDRESS'))
                        ->subject('Error en creación de delivery 99 min.')
                        ->from(env('MAIL_FROM_ADDRESS'), env('MAIL_FROM_NAME'))
                        ->setBody($html, 'text/html');
            });*/

            return false;
        }
    }
}
