<?php
use App\Http\Controllers\Fiber\ClientController as FiberClientController;
use App\Http\Controllers\Fiber\ServiceabilityController;
use App\Http\Controllers\Fiber\ScheduleController;
use App\Http\Controllers\TestController as FiberTestController;
Route::group([
    "prefix" => "fiber",
    "middleware" => ["Session"]
], function () {


    /**
     * Dev
    */
    Route::post('test', [FiberTestController::class, 'testFibra']);

    /**
     * Fiber Client
    */
    Route::post('find-client', [FiberClientController::class, 'findClient']);
    Route::post('get-client', [FiberClientController::class, 'getClient']);
    Route::post('create-client', [FiberClientController::class, 'createClient']);
    Route::post('update-client', [FiberClientController::class, 'updateClient']);
    Route::post('valid-imei', [FiberClientController::class, 'validImei']);

    /**
     * Fiber Client Verfication Phone
    */

    Route::post('cant-token', [FiberClientController::class, 'cantToken']);
    Route::post('new-token', [FiberClientController::class, 'newToken']);
    Route::post('verify-phone', [FiberClientController::class, 'verifyPhone']);

    /**
     * Fiber Serviceability
    */

    Route::get('get-states', [ServiceabilityController::class, 'getStates']);
    Route::get('get-cities/{id_state}', [ServiceabilityController::class, 'getCities']);
    Route::get('get-olts/{id_city}', [ServiceabilityController::class, 'getOlts']);
    Route::get('get-map/{id_city}/{id_olt}', [ServiceabilityController::class, 'getMap']);
    Route::post('check-coverage', [ServiceabilityController::class, 'checkCoverage']);
    Route::post('check-fast-coverage', [ServiceabilityController::class, 'checkFastCoverage']);
    Route::post('get-plans', [ServiceabilityController::class, 'getPlans']);

    /**
     * Circle Credit
    */
    Route::post('get-circle-form', [ScheduleController::class, 'getCircleForm']);
    Route::post('get-question-circle', [ScheduleController::class, 'getQuestionCircle']);
    Route::post('send-circle-form', [ScheduleController::class, 'sendCircleForm']);

    /**
     * Fiber Schedule
    */
    Route::post('get-calendar', [ScheduleController::class, 'getCalendar']);
    Route::post('get-clock', [ScheduleController::class, 'getClock']);
    Route::post('client-get-by-dn', [FiberClientController::class, 'clientGetByDN']);
    Route::post('up-photo-evidency', [ScheduleController::class, 'upPhotoEvidency']);
    Route::get('get-types-documents', [ScheduleController::class, 'getTypesDocuments']);
    Route::post('get-qr-force', [ScheduleController::class, 'getQrForce']);
    Route::post('verify-qr', [ScheduleController::class, 'verifyQr']);



    Route::get('get-confirmation-questions', [ScheduleController::class, 'getConfirmationQuestions']);
    Route::post('register-scheduling', [ScheduleController::class, 'registerScheduling']);


    Route::post('update-circle-credit', [ScheduleController::class, 'updateCircleCredit']);    
    Route::post('confirm-installation', [ScheduleController::class, 'confirmInstallation']);

});
